<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta charset="utf-8" />
<meta name="generator" content="Docutils 0.21b.dev: https://docutils.sourceforge.io/" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta name="author" content="David Goodger" />
<meta name="dcterms.date" content="$Date$" />
<meta name="dcterms.rights" content="This document has been placed in the public domain." />
<title>Copying Docutils</title>
<link rel="schema.dcterms" href="http://purl.org/dc/terms/"/>
<link rel="stylesheet" href="docutils/writers/html5_polyglot/minimal.css" type="text/css" />
<link rel="stylesheet" href="docutils/writers/html5_polyglot/responsive.css" type="text/css" />
</head>
<body>
<header>
<p><a class="reference external" href="https://docutils.sourceforge.io">Docutils</a> | <a class="reference external" href="docs/index.html">Overview</a> | <a class="reference external" href="docs/index.html#project-fundamentals">About</a> | <a class="reference external" href="docs/index.html#user">Users</a> | <a class="reference external" href="docs/index.html#ref">Reference</a> | <a class="reference external" href="docs/index.html#howto">Developers</a></p>
</header>
<main id="copying-docutils">
<h1 class="title">Copying Docutils</h1>
<dl class="docinfo">
<dt class="author">Author<span class="colon">:</span></dt>
<dd class="author"><p>David Goodger</p></dd>
<dt class="contact">Contact<span class="colon">:</span></dt>
<dd class="contact"><a class="reference external" href="mailto:goodger&#64;python.org">goodger&#64;python.org</a></dd>
<dt class="date">Date<span class="colon">:</span></dt>
<dd class="date">$Date$</dd>
<dt class="web-site">Web site<span class="colon">:</span></dt>
<dd class="web-site"><p><a class="reference external" href="https://docutils.sourceforge.io/">https://docutils.sourceforge.io/</a></p>
</dd>
<dt class="copyright">Copyright<span class="colon">:</span></dt>
<dd class="copyright">This document has been placed in the public domain.</dd>
</dl>
<!-- Minimal menu bar for inclusion in documentation sources
in the ``docutils/`` parent diretory.

Attention: this is not a standalone document. -->
<p>Most of the files included in this project have been placed in the
public domain, and therefore have no license requirements and no
restrictions on copying or usage; see the <a class="reference internal" href="#public-domain-dedication">Public Domain Dedication</a>
below.  There are <a class="reference internal" href="#exceptions">exceptions</a>, listed below.
Files in the <a class="reference external" href="https://docutils.sourceforge.io/sandbox/README.html">Sandbox</a> are not distributed with Docutils releases and
may have different license terms.</p>
<section id="public-domain-dedication">
<h2>Public Domain Dedication<a class="self-link" title="link to this section" href="#public-domain-dedication"></a></h2>
<p>The persons who have associated their work with this project (the
&quot;Dedicator&quot;: David Goodger and the many contributors to the Docutils
project) hereby dedicate the entire copyright, less the <a class="reference internal" href="#exceptions">exceptions</a>
listed below, in the work of authorship known as &quot;Docutils&quot; identified
below (the &quot;Work&quot;) to the public domain.</p>
<p>The primary repository for the Work is the Internet World Wide Web
site &lt;<a class="reference external" href="https://docutils.sourceforge.io/">https://docutils.sourceforge.io/</a>&gt;.  The Work consists of the
files within the &quot;docutils&quot; module of the Docutils project Subversion
repository (<a class="reference external" href="http://svn.code.sf.net/p/docutils/code/">http://svn.code.sf.net/p/docutils/code/</a>),
whose Internet web interface is located at
&lt;<a class="reference external" href="https://sourceforge.net/p/docutils/code">https://sourceforge.net/p/docutils/code</a>&gt;.  Files dedicated to the
public domain may be identified by the inclusion, near the beginning
of each file, of a declaration of the form:</p>
<pre class="literal-block">Copyright: This document/module/DTD/stylesheet/file/etc. has been
           placed in the public domain.</pre>
<p>Dedicator makes this dedication for the benefit of the public at large
and to the detriment of Dedicator's heirs and successors.  Dedicator
intends this dedication to be an overt act of relinquishment in
perpetuity of all present and future rights under copyright law,
whether vested or contingent, in the Work.  Dedicator understands that
such relinquishment of all rights includes the relinquishment of all
rights to enforce (by lawsuit or otherwise) those copyrights in the
Work.</p>
<p>Dedicator recognizes that, once placed in the public domain, the Work
may be freely reproduced, distributed, transmitted, used, modified,
built upon, or otherwise exploited by anyone for any purpose,
commercial or non-commercial, and in any way, including by methods
that have not yet been invented or conceived.</p>
<p>(This dedication is derived from the text of the <cite>Creative Commons
Public Domain Dedication</cite>. <a class="brackets" href="#footnote-1" id="footnote-reference-1" role="doc-noteref"><span class="fn-bracket">[</span>1<span class="fn-bracket">]</span></a>)</p>
<aside class="footnote-list brackets">
<aside class="footnote brackets" id="footnote-1" role="doc-footnote">
<span class="label"><span class="fn-bracket">[</span><a role="doc-backlink" href="#footnote-reference-1">1</a><span class="fn-bracket">]</span></span>
<p>Creative Commons has <a class="reference external" href="http://creativecommons.org/retiredlicenses">retired this legal tool</a> and does not
recommend that it be applied to works: This tool is based on United
States law and may not be applicable outside the US. For dedicating new
works to the public domain, Creative Commons recommend the replacement
Public Domain Dedication <a class="reference external" href="http://creativecommons.org/about/cc0">CC0</a> (CC zero, &quot;No Rights Reserved&quot;). So does
the Free Software Foundation in its <a class="reference external" href="https://www.gnu.org/licenses/license-list.html">license-list</a>.</p>
</aside>
</aside>
</section>
<section id="exceptions">
<h2>Exceptions<a class="self-link" title="link to this section" href="#exceptions"></a></h2>
<p>The exceptions to the <a class="reference internal" href="#public-domain-dedication">Public Domain Dedication</a> above are:</p>
<ul>
<li><p>docutils/utils/smartquotes.py</p>
<p>Copyright © 2011 Günter Milde,
based on <a class="reference external" href="http://daringfireball.net/projects/smartypants/">SmartyPants</a> © 2003 John Gruber
(released under a &quot;revised&quot; <a class="reference external" href="https://opensource.org/licenses/BSD-3-Clause">BSD 3-Clause License</a> included in the file)
and smartypants.py © 2004, 2007 Chad Miller.
Released under the terms of the <a class="reference external" href="http://opensource.org/licenses/BSD-2-Clause">BSD 2-Clause License</a>
(<a class="reference external" href="licenses/BSD-2-Clause.txt">local copy</a>).</p>
</li>
<li><p>docutils/utils/math/latex2mathml.py</p>
<p>Copyright © Jens Jørgen Mortensen, Günter Milde.
Released under the terms of the <a class="reference external" href="http://opensource.org/licenses/BSD-2-Clause">BSD 2-Clause License</a>
(<a class="reference external" href="licenses/BSD-2-Clause.txt">local copy</a>).</p>
</li>
<li><div class="line-block">
<div class="line">docutils/utils/math/math2html.py,</div>
<div class="line">docutils/writers/html5_polyglot/math.css</div>
</div>
<p>Copyright © 2009,2010 Alex Fernández; 2021 Günter Milde</p>
<p>These files were part of <a class="reference external" href="https://github.com/alexfernandez/elyxer">eLyXer</a>, released under the <a class="reference external" href="https://www.gnu.org/copyleft/gpl.html">GNU
General Public License</a> version 3 or later. The author relicensed
them for Docutils under the terms of the <a class="reference external" href="http://opensource.org/licenses/BSD-2-Clause">BSD 2-Clause License</a>
(<a class="reference external" href="licenses/BSD-2-Clause.txt">local copy</a>).</p>
</li>
<li><div class="line-block">
<div class="line">docutils/__main__.py,</div>
<div class="line">docutils/parsers/commonmark_wrapper.py,</div>
<div class="line">docutils/parsers/recommonmark_wrapper.py,</div>
<div class="line">docutils/utils/error_reporting.py,</div>
<div class="line">docutils/utils/math/__init__.py,</div>
<div class="line">docutils/utils/math/latex2mathml.py,</div>
<div class="line">docutils/utils/math/tex2mathml_extern.py,</div>
<div class="line">docutils/utils/punctuation_chars.py,</div>
<div class="line">docutils/utils/smartquotes.py,</div>
<div class="line">docutils/writers/html5_polyglot/__init__.py,</div>
<div class="line">docutils/writers/html5_polyglot/*.css,</div>
<div class="line">docutils/writers/latex2e/docutils.sty,</div>
<div class="line">docutils/writers/xetex/__init__.py,</div>
<div class="line">test/test_parsers/test_recommonmark/*.py,</div>
<div class="line">test/test_parsers/test_rst/test_directives/test__init__.py,</div>
<div class="line">test/test_parsers/test_rst/test_directives/test_code_parsing.py,</div>
<div class="line">test/test_parsers/test_rst/test_line_length_limit_default.py,</div>
<div class="line">test/test_parsers/test_rst/test_line_length_limit.py,</div>
<div class="line">test/test_writers/test_latex2e_misc.py,</div>
<div class="line">test/transforms/test_smartquotes.py,</div>
<div class="line">tools/docutils-cli.py,</div>
<div class="line">tools/rst2html5.py</div>
</div>
<p>Copyright © Günter Milde.
Released under the terms of the <a class="reference external" href="http://opensource.org/licenses/BSD-2-Clause">BSD 2-Clause License</a>
(<a class="reference external" href="licenses/BSD-2-Clause.txt">local copy</a>).</p>
</li>
<li><p>docutils/utils/roman.py</p>
<p>copyright by Mark Pilgrim, released under the
<a class="reference external" href="https://opensource.org/license/zpl-2-1/">Zope Public License Version 2.1</a> (<a class="reference external" href="licenses/ZPL-2-1.txt">local copy</a>).</p>
</li>
<li><p>tools/editors/emacs/rst.el</p>
<p>copyright by Free Software Foundation, Inc.,
released under the <a class="reference external" href="https://www.gnu.org/copyleft/gpl.html">GNU General Public License</a> version 3 or later
(<a class="reference external" href="licenses/gpl-3-0.txt">local copy</a>).</p>
</li>
</ul>
<p>All used licenses are <a class="reference external" href="http://opensource.org/licenses/">OSI-approved</a> and <a class="reference external" href="https://www.gnu.org/licenses/license-list.html">GPL-compatible</a>.</p>
<p>Plaintext versions of all the linked-to licenses are provided in the
<a class="reference external" href="licenses/">licenses</a> directory.</p>
</section>
</main>
<footer>
<p><a class="reference external" href="COPYING.txt">View document source</a>.
Generated on: 2023-09-13 17:06 UTC.
Generated by <a class="reference external" href="https://docutils.sourceforge.io/">Docutils</a> from <a class="reference external" href="https://docutils.sourceforge.io/rst.html">reStructuredText</a> source.
</p>
</footer>
</body>
</html>
